API
Pagination
Wie Everyn-List-Endpoints Seiten, Cursor und gefilterte Ergebnismengen zurückgeben.
Everyn-List-Endpoints verwenden Cursor Pagination. Eine Response enthält data und optional nextCursor; Clients lesen weiter, bis nextCursor null ist oder fehlt.
Pagination-Regeln
List-Response-Form:
{
"data": [],
"nextCursor": null
}Einfacher Loop:
curl -sS "$EVERYN_BASE_URL/v1/runs?limit=50" \
-H "Authorization: Bearer $EVERYN_API_KEY"
curl -sS "$EVERYN_BASE_URL/v1/runs?limit=50&cursor=cursor_..." \
-H "Authorization: Bearer $EVERYN_API_KEY"Häufig paginierte Bereiche:
| Bereich | Filter |
|---|---|
GET /v1/dataset-uploads | limit, cursor |
GET /v1/datasets | limit, cursor |
GET /v1/datasets/{datasetId}/rows | limit, cursor |
GET /v1/job-specs | limit, cursor |
GET /v1/job-specs/{jobSpecId}/versions | limit, cursor |
GET /v1/runs | limit, cursor, state, datasetId, jobSpecId, createdAfter, createdBefore |
GET /v1/runs/{runId}/rows | limit, cursor, state |
GET /v1/runs/{runId}/events | limit, cursor, type |
GET /v1/runs/{runId}/outputs | limit, cursor, datasetRowId |
GET /v1/runs/{runId}/failures | limit, cursor, retryable |
GET /v1/runs/{runId}/resolved-results | limit, cursor, resultState |
GET /v1/runs/{runId}/exports | limit, cursor, status, type, format |
GET /v1/exports | limit, cursor, runId, status, type, format |
GET /v1/webhook-endpoints | limit, cursor |
GET /v1/webhook-deliveries | limit, cursor, webhookEndpointId, status, eventType |
GET /v1/alert-rules | limit, cursor, enabled, eventType |
GET /v1/alert-deliveries | limit, cursor, alertRuleId, status |
GET /v1/organizations/{organizationId}/audit-events | limit, cursor, type, actorType, apiKeyId |
Ungültige Cursor liefern ein strukturiertes Fehler-Envelope. Nutze API-Fehler und die Endpoint-spezifische generierte Referenz, wenn ein List-Request fehlschlägt.